LatentModel< copulaPolicyImpl >::FactorSampler< RandomSequenceGenerator< BoxMullerGaussianRng< URNG > >, dummy > Class Template Reference

Specialization for direct Gaussian Box-Muller generation. More...

`#include <ql/experimental/math/latentmodel.hpp>`

## Public Types

typedef Sample< std::vector< Real > > | sample_type

## Public Member Functions

| FactorSampler (const GaussianCopulaPolicy &copula, BigNatural seed=0)
const sample_type & | nextSequence () const

## Detailed Description

### template<class copulaPolicyImpl>
template<class URNG, bool dummy>
class QuantLib::LatentModel< copulaPolicyImpl >::FactorSampler< RandomSequenceGenerator< BoxMullerGaussianRng< URNG > >, dummy >

Specialization for direct Gaussian Box-Muller generation.

  The implementation of Box-Muller in the library is the rejection variant so do not use it within a multithreaded simulation.